/**********************************************************************
Copyright (c) 2013 Andy Jefferson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package javax.persistence.jpa21;

import static java.lang.annotation.RetentionPolicy.RUNTIME;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Used in schema generation to override the persistence provider's default foreign key strategy.  
 * It is used to define a foreign key constraint or to otherwise
 * override or disable the persistence provider's default foreign key definition.
 */
@Target({})
@Retention(RUNTIME)
public @interface ForeignKey 
{
    String name() default "";
    String foreignKeyDefinition() default "";
    boolean disableForeignKey() default false;
}
